package net.mcreator.puzzle_code.procedures;

import net.minecraft.world.level.LevelAccessor;
import net.minecraft.client.gui.components.EditBox;

import java.util.HashMap;

public class ApplySetNBTProcedure {
	public static void execute(LevelAccessor world, double x, double y, double z, HashMap guistate) {
		if (guistate == null)
			return;
		SetNBTTextSystemProcedure.execute(world, x, y, z, "setNBT", guistate.containsKey("text:setNBTField") ? ((EditBox) guistate.get("text:setNBTField")).getValue() : "");
	}
}
